Bug 18782 - Remove unused C4::Serials::getsupplierbyserialid
Summary: Remove unused C4::Serials::getsupplierbyserialid
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18745
  Show dependency treegraph
 
Reported: 2017-06-12 10:29 UTC by Julian Maurice
Modified: 2017-07-15 17:54 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18782: Remove unused C4::Serials::getsupplierbyserialid (2.48 KB, patch)
2017-06-12 10:30 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18782: Remove unused C4::Serials::getsupplierbyserialid (2.75 KB, patch)
2017-06-30 02:30 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18782: Remove unused C4::Serials::getsupplierbyserialid (2.82 KB, patch)
2017-06-30 07:05 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2017-06-12 10:29:41 UTC

    
Comment 1 Julian Maurice 2017-06-12 10:30:18 UTC
Created attachment 64194 [details] [review]
Bug 18782: Remove unused C4::Serials::getsupplierbyserialid
Comment 2 M. Tompsett 2017-06-30 02:30:12 UTC
Created attachment 64739 [details] [review]
[SIGNED-OFF] Bug 18782: Remove unused C4::Serials::getsupplierbyserialid

TEST PLAN
----------
git grep -i getsupplierby
-- only the code removed and the test tweaked
git bz apply 18782
sudo koha-shell -c bash kohadev
prove -v t/db_dependent/Serials.t
qa -v 2 c 1
exit
-- sign off

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Marcel de Rooy 2017-06-30 07:05:01 UTC
Created attachment 64745 [details] [review]
Bug 18782: Remove unused C4::Serials::getsupplierbyserialid

TEST PLAN
----------
git grep -i getsupplierby
-- only the code removed and the test tweaked
git bz apply 18782
sudo koha-shell -c bash kohadev
prove -v t/db_dependent/Serials.t
qa -v 2 c 1
exit
-- sign off

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2017-07-05 17:06:22 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-07-10 10:05:49 UTC
Pushed to 17.05.x, will be in 17.05.02
Comment 6 Katrin Fischer 2017-07-15 17:54:35 UTC
This won't get ported back to 16.11.x as it is an enhancement.